Page 1 of 2

Issues upgrading from 3.0.14

Posted: Thu May 09, 2019 4:31 pm
by AYBG
Hi, I have a board which is unfortunately still using 3.0.14

I have previously tried to migrate its contents to a new installation of phpbb, but was unsuccessful - I believe due to the impact of mods along the way.

Being increasingly concerned about the security of 3.0 boards, I will try again to get the posts/users copied across (any advice would be very welcome!) but if unsuccessful I will simply create a completely new, latest version install with 0 posts and ask my users to re-register.

With this in mind, I'm wondering if there's any way I can keep the existing 3.0.14 board accessible to my users for posterity and reference, locked/archived, and keep it secure somehow.

Perhaps my best bet is to download a copy via HTTrack and make this a download available to members?

Re: Hosting a secure archived version of an older phpbb board?

Posted: Thu May 09, 2019 4:39 pm
by stevemaury
Your existing board can be upgraded, I have no doubt. Please fill out the Support Request Template and post it back here to enable us to assist you better.

Issues upgrading from 3.0.14

Posted: Thu May 09, 2019 8:16 pm
by AYBG
Support Request Template
What version of phpBB are you using? phpBB 3.0.14
What is your board's URL? www.fmuk.org.uk/forum
Who do you host your board with? Hawk Host
How did you install your board? I used the download package from phpBB.com
What is the most recent action performed on your board? Update from a previous version of phpBB3
Is registration required to reproduce this issue? Yes
Do you have any MODs installed? Yes
Do you have any extensions installed? No
What version of phpBB3 did you update from? phpBB 3.0-B1
What MODs do you have installed? User Reminder 1.0.5
Auto Groups MOD
WP-UNITED: WordPress-phpBB Integration Mod previously installed, and source of many unreversed changes
What styles do you currently have installed? No answer given
What language(s) is your board currently using? British English
Which database type/version are you using? MariaDB
What is your level of experience? New to PHP but not phpBB
What username can be used to view this issue? No answer given
What password can be used to view this issue? No answer given
What actions did you take (updating your board; installing a MOD, style or extension; etc.) prior to this problem becoming noticeable? Migrating board to new installation of phpbb 3.2
Please describe your problem. I am attempting to migrate my 3.0.14 board to the latest phpbb version. Gets caught in the process. It was last May that I made a lot of attempts, so I don't remember the specific message (if there was one) but I believe it was a timeout while importing the databases. I'll try again soon as stevemaury believes the upgrade is doable.

viewtopic.php?f=556&t=2511291

In the meantime, I believe the issue is the WP-UNITED: WordPress-phpBB Integration Mod I had previously installed, as it made a lot of changes to the database and some phpbb files. Not all of these were reversed, e.g. there are some extra columns and some deleted columns.

My first step now will be to try to carry everything over to a clean install of 3.0.14, and if that works, go from there. But any help and advice would be hugely appreciated.
Generated by SRT Generator

Re: Hosting a secure archived version of an older phpbb board?

Posted: Thu May 09, 2019 8:17 pm
by AYBG
Thank you. I hope so! I have posted it here:

viewtopic.php?f=556&t=2511351

Re: Hosting a secure archived version of an older phpbb board?

Posted: Thu May 09, 2019 8:35 pm
by stevemaury
Have you used the STK database cleaner to get rid of the MODs?

Re: Issues upgrading from 3.0.14

Posted: Fri May 10, 2019 12:14 pm
by AYBG
Ignore the above. I deleted the STK folder, re-uploaded and Database Cleaner opened correctly. Running through it now. It identifies the changes it needs to make, but in the process it hits a 500 Internal Server Error
Request Timeout

This request takes too long to process, it is timed out by the server. If it should not be timed out, please contact administrator of this web site to increase 'Connection Timeout'.
It appears that re-running the tool makes a bit more progress every time. I dropped one table column manually in phpmyadmin. The tool has finished. Now I'm going to try to update to 3.1.

Re: Issues upgrading from 3.0.14

Posted: Fri May 10, 2019 6:16 pm
by AYBG
Very pleasingly, I've managed to upgrade my forum to the latest phpbb with everything intact!

However, I've encountered one issue so far and I would very much appreciate any advice.

In the ACP, when I click onto Users and Groups, it opens this error page:

Image

This relates to a mod I once had installed on 3.0.x:

viewtopic.php?t=1883675

I'm wondering where on earth it's still affecting the board, as the only remaining files from the original board, per installation instructions, are in images/, files/, store/ and config.php.

I found a folder for Alternate Login in /store/mods/, deleted that, but to no avail.

I'm also looking through the manual installation instructions for that mod to see if I can trace any edits to files in that folder, but I can't see anything yet.

Re: Issues upgrading from 3.0.14

Posted: Fri May 10, 2019 6:37 pm
by Lumpy Burgertushie
it is coming from the database probably.

using phpmyadmin or whatever your host provides, you need to remove any database entries that are from that MOD.
as you mentioned, check the install instructions for the MOD and see what database changes were made.


robert

Re: Issues upgrading from 3.0.14

Posted: Fri May 10, 2019 7:29 pm
by janus_zonstraal
You can also delete that module in ACP => System => module management =>

Re: Issues upgrading from 3.0.14

Posted: Fri May 10, 2019 8:09 pm
by AYBG
janus_zonstraal wrote:
Fri May 10, 2019 7:29 pm
You can also delete that module in ACP => System => module management =>
I should clarify that I'm on 3.2.7 now, so that pathway doesn't exist here

Re: Issues upgrading from 3.0.14

Posted: Fri May 10, 2019 8:12 pm
by janus_zonstraal
Did you have a look?
The module is there ;)

Re: Issues upgrading from 3.0.14

Posted: Fri May 10, 2019 8:38 pm
by AYBG
Ah! Sorry, I didn't see "Module Management", I was looking at the clickable pages.

Thank you very much. I've found and disabled these and now have access to the Users and Groups page:

Image

Just to be on the safe side, all of the four are safe to delete, right?

Re: Issues upgrading from 3.0.14

Posted: Fri May 10, 2019 8:41 pm
by david63
AYBG wrote:
Fri May 10, 2019 8:38 pm
Just to be on the safe side, all of the four are safe to delete, right?
Yes - anything that does not have the name as "proper" text is OK to delete - but, there is always a but, make sure you have a backup of the database first.

Re: Issues upgrading from 3.0.14

Posted: Fri May 10, 2019 8:47 pm
by AYBG
david63 wrote:
Fri May 10, 2019 8:41 pm
AYBG wrote:
Fri May 10, 2019 8:38 pm
Just to be on the safe side, all of the four are safe to delete, right?
Yes - anything that does not have the name as "proper" text is OK to delete - but, there is always a but, make sure you have a backup of the database first.
Thanks. And might I add, your privacy extension was the first one I've added! Very good to have available with GDPR

Re: Issues upgrading from 3.0.14

Posted: Sat May 11, 2019 8:29 am
by AYBG
Any ideas on how to resolve this error screen I get when I create the index for MySQL Fulltext in the search index section?

Image